
#include<stdio.h>


#include "Biquad_proc.h"

#define BUFSIZE 1152

char fin_name[]="mus.pcm";
char fout_name[]="mus_sum.pcm";

FILE* fin;
FILE* fout;

short readbuf[BUFSIZE][2];


static int state[2][2];

#define QCF	13
static short coeffs[5]={
#include"coeffs.dat"
};



int main()
{
	int k=0;

	fin=fopen(fin_name,"rb");
	fout=fopen(fout_name,"wb");

	if ((fin==NULL) || (fout==NULL))
		return;

	while (1)
	{
		int n;

		printf("frame %d\n",k++);

		n=fread(readbuf,sizeof(short),2*BUFSIZE,fin);
		if (n<=0) break;

		Biquad_proc((short(*)[2])&readbuf[0][0],(short(*)[2])&readbuf[0][0],coeffs,state[0],n>>1);
		Biquad_proc((short(*)[2])&readbuf[0][1],(short(*)[2])&readbuf[0][1],coeffs,state[1],n>>1);
		
		fwrite(readbuf,sizeof(short),n,fout);

	}


	fclose(fin);
	fclose(fout);
}
 